﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Model.Service.Mapper
{
    public class BloodPressureModel
    {
        [JsonProperty("ts")]
        public DateTime Timestamp { get; set; }

        [JsonProperty("bloodpress_id")]
        public string BloodPressureId { get; set; } = default!;

        [JsonProperty("message_id")]
        public string MessageId { get; set; } = default!;

        [JsonProperty("serialno")]
        public string SerialNumber { get; set; } = default!;

        [JsonProperty("systolic_value")]
        public int SystolicValue { get; set; }

        [JsonProperty("diastolic_value")]
        public int DiastolicValue { get; set; }

        [JsonProperty("create_time")]
        public DateTime CreateTime { get; set; }

        [JsonProperty("last_update")]
        public DateTime LastUpdate { get; set; }

        [JsonProperty("method")]
        public byte Method { get; set; }

        [JsonProperty("is_display")]
        public bool IsDisplay { get; set; }

        [JsonProperty("serial_tail_no")]
        public string SerialTailNumber { get; set; } = default!;
    }
}
