﻿using System.ComponentModel;

namespace HealthMonitor.Util.QueryObjects
{
	/// <summary>
	/// 搜索字段的类型
	/// </summary>
	public enum QueryValueTypeEnum
	{
		/// <summary>
		/// INT
		/// </summary>
		[Description("Int")]
		Int=0,
		/// <summary>
		/// LONG
		/// </summary>
		[Description("Long")]
		Long,
		/// <summary>
		/// FLOAT
		/// </summary>
		[Description("Float")]
		Float,
		/// <summary>
		/// DOUBLE
		/// </summary>
		[Description("Double")]
		Double,
		/// <summary>
		/// DECIMAL
		/// </summary>
		[Description("Decimal")]
		Decimal,
		/// <summary>
		/// DATETIME
		/// </summary>
		[Description("DateTime")]
		DateTime,
		/// <summary>
		/// BOOLEAN
		/// </summary>
		[Description("Boolean")]
		Boolean,
		/// <summary>
		/// STRING
		/// </summary>
		[Description("String")]
		String,
	}
}
