﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HealthMonitor.Util.Entities.Base;
using HealthMonitor.Util.Entities.Interfaces;

namespace HealthMonitor.Util.Entities.HealthMonitor
{
    public partial class HmBloodPressReferenceValue : HealthMonitorEntityBase, IKeyIntType
    {
        [Key]

        [Required]
        public int Id { get; set; }

        [Required]
        // [ForeignKey(nameof(SubjectId))]
        public int Age { get; set; }

        [Required]
        public int Gender { get; set; }

        [Required]
        public int Systolic { get; set; }

        [Required]
        public int Diastolic { get; set; }

        public bool Hypertension { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [Required]
        public DateTime CreateTime { get; set; } = DateTime.Now;
        /// <summary>
        /// 修改时间
        /// </summary>
        [Required]
        public DateTime UpdateTime { get; set; } = DateTime.Now;



    }
}
